3 Replies Latest reply on Jun 25, 2009 7:34 AM by rickbsgu

    No 'GraphicsPath' class?

    rickbsgu

      Trying to use GraphicsPath, which, according to my documentation is supposed to be at 'flash.display.GraphicsPath'.

       

      There doesn't seem to be any such thing.

       

      Is this renamed?  Or is there something else I need to download?

        • 1. Re: No 'GraphicsPath' class?
          GordonSmith Level 4

          This class in only in Flash Player 10, so you need to be linking against frameworks/libs/player/10/playerglobal.swc. There is some setting that lets you choose which version of the Player you're targeting.

           

          Gordon Smith

          Adobe Flex SDK Team

          • 2. Re: No 'GraphicsPath' class?
            rickbsgu Level 1

            Oh, ok.  I see I still have 'drawPath' available to me in the Graphics class, so I can get around it.

             

            Just out of curiosity, though - could you illuminate a bit more on the setting that indicates which version of the Flash runtime I'm linking against?  I've been through all of the settings in Eclipse and nothing is standing out.  Maybe in the browser?

             

            Thanks,

            rickb

            • 3. Re: Flash runtime version setting...
              rickbsgu Level 1

              Followup on last post - I notice in the file '.actionScriptProperties' there is a tag '<compilerAdditionalArguments>' which specifies 'htmlPlayerVersion="9.0.124"' .   Is that it?  I don't see a corresponding setting, anywhere - there doesn't seem to be a way of specifying compiler arguments in the 'run configuration' panel.